<?php

class Request
{

    private $Transaction;
    private $Requestor;
    private $RequestorName;
    private $RequestorActive;
    private $Country;
    private $Entity;
    private $User;
    private $UserName;
    private $Id;
    private $TimeStamp;

    /**
     * Get the value of Transaction
     */ 
    public function getTransaction()
    {
        return $this->Transaction;
    }

    /**
     * Set the value of Transaction
     *
     * @return  self
     */ 
    public function setTransaction($Transaction)
    {
        $this->Transaction = $Transaction;

        return $this;
    }

    /**
     * Get the value of Requestor
     */ 
    public function getRequestor()
    {
        return $this->Requestor;
    }

    /**
     * Set the value of Requestor
     *
     * @return  self
     */ 
    public function setRequestor($Requestor)
    {
        $this->Requestor = $Requestor;

        return $this;
    }

    /**
     * Get the value of RequestorName
     */ 
    public function getRequestorName()
    {
        return $this->RequestorName;
    }

    /**
     * Set the value of RequestorName
     *
     * @return  self
     */ 
    public function setRequestorName($RequestorName)
    {
        $this->RequestorName = $RequestorName;

        return $this;
    }

    /**
     * Get the value of RequestorActive
     */ 
    public function getRequestorActive()
    {
        return $this->RequestorActive;
    }

    /**
     * Set the value of RequestorActive
     *
     * @return  self
     */ 
    public function setRequestorActive($RequestorActive)
    {
        $this->RequestorActive = $RequestorActive;

        return $this;
    }

    /**
     * Get the value of Country
     */ 
    public function getCountry()
    {
        return $this->Country;
    }

    /**
     * Set the value of Country
     *
     * @return  self
     */ 
    public function setCountry($Country)
    {
        $this->Country = $Country;

        return $this;
    }

    /**
     * Get the value of Entity
     */ 
    public function getEntity()
    {
        return $this->Entity;
    }

    /**
     * Set the value of Entity
     *
     * @return  self
     */ 
    public function setEntity($Entity)
    {
        $this->Entity = $Entity;

        return $this;
    }

    /**
     * Get the value of User
     */ 
    public function getUser()
    {
        return $this->User;
    }

    /**
     * Set the value of User
     *
     * @return  self
     */ 
    public function setUser($User)
    {
        $this->User = $User;

        return $this;
    }

    /**
     * Get the value of UserName
     */ 
    public function getUserName()
    {
        return $this->UserName;
    }

    /**
     * Set the value of UserName
     *
     * @return  self
     */ 
    public function setUserName($UserName)
    {
        $this->UserName = $UserName;

        return $this;
    }

    /**
     * Get the value of Id
     */ 
    public function getId()
    {
        return $this->Id;
    }

    /**
     * Set the value of Id
     *
     * @return  self
     */ 
    public function setId($Id)
    {
        $this->Id = $Id;

        return $this;
    }

    /**
     * Get the value of TimeStamp
     */ 
    public function getTimeStamp()
    {
        return $this->TimeStamp;
    }

    /**
     * Set the value of TimeStamp
     *
     * @return  self
     */ 
    public function setTimeStamp($TimeStamp)
    {
        $this->TimeStamp = $TimeStamp;

        return $this;
    }
}
